package mk.ukim.finki.it.reservengo.model;

import jakarta.persistence.CascadeType;
import jakarta.persistence.Entity;
import jakarta.persistence.OneToMany;
import lombok.EqualsAndHashCode;
import mk.ukim.finki.it.reservengo.model.enumerations.Role;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Entity
public class Customer extends User {
    public Customer(String firstName, String lastName, String email, String password, String phoneNumber, Role userRole) {
        super(firstName, lastName, email, password, phoneNumber, userRole);
    }

    public Customer() {
    }

    @OneToMany(mappedBy = "customer", cascade = CascadeType.ALL)
    private List<Reservation> reservations;

    @OneToMany
    private List<Local> favouriteLocals;

    public List<Reservation> getReservations() {
        return reservations;
    }

    public List<Local> getFavouriteLocals() {
        return favouriteLocals;
    }

}
